Skip to main content
PUT
Update payment

๐Ÿ“Œ Endpoint

PUT /stores/{storeId}/payments/{paymentId} Updates the shipment (shipment) and/or metadata of an approved payment.

๐Ÿ” Authentication

  • Private route.
  • Requires header Authorization with your API key and active plan.

๐Ÿงพ Route parameters


๐Ÿง Body (JSON)


โœ… Example request


Standard snippet (cURL)

Use the cURL example from the Request example section above as the official snippet.

๐Ÿ“ฆ Success response (200)


โš ๏ธ Possible errors

  • 400 INVALID_DATA โ†’ invalid body/parameters
  • 401 API_KEY_NOT_PROVIDED โ†’ missing Authorization header
  • 401 INVALID_API_KEY โ†’ invalid API key
  • 401 UNAUTHENTICATED โ†’ unauthenticated user
  • 403 USER_DISABLED โ†’ user disabled or deleted
  • 403 NO_ACTIVE_SUBSCRIPTION โ†’ inactive or expired plan
  • 403 UPDATE_NOT_ALLOWED โ†’ payment is not approved
  • 404 STORE_NOT_FOUND โ†’ store not found
  • 404 PAYMENT_NOT_FOUND โ†’ payment not found
  • 429 RATE_LIMIT_EXCEEDED โ†’ plan per-minute rate limit exceeded
  • 500 INTERNAL_SERVER_ERROR โ†’ internal error
  • 503 SERVICE_UNAVAILABLE โ†’ service temporarily unavailable

Authorizations

Authorization
string
header
default:YOUR_API_KEY_HERE
required

Path Parameters

storeId
string
required
Required string length: 1 - 50
paymentId
string
required
Required string length: 1 - 50

Body

application/json

Payment fields to update.

shipment
enum<string>
Available options:
PENDING,
PREPARING,
SHIPPED,
DELIVERED,
RETURNED,
CANCELLED
metadata
object

Response

Update payment.

code
string
required
Example:

"PAYMENT_UPDATED"

payment
object
required

Store payment/charge.